public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-arcade/gav/files/, games-arcade/gav/
@ 2020-02-23 10:45 David Seifert
  0 siblings, 0 replies; only message in thread
From: David Seifert @ 2020-02-23 10:45 UTC (permalink / raw
  To: gentoo-commits

commit:     1ca61f87d38274aff4380d99e8e9534d495fd187
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 23 10:44:41 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb 23 10:44:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ca61f87

games-arcade/gav: Port to EAPI 7

Closes: https://bugs.gentoo.org/710348
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 games-arcade/gav/files/gav-0.9.0-ldflags.patch | 21 ++++++++++---
 games-arcade/gav/gav-0.9.0-r1.ebuild           | 43 ++++++++++++++------------
 2 files changed, 40 insertions(+), 24 deletions(-)

diff --git a/games-arcade/gav/files/gav-0.9.0-ldflags.patch b/games-arcade/gav/files/gav-0.9.0-ldflags.patch
index dd49e616166..8579ce878e7 100644
--- a/games-arcade/gav/files/gav-0.9.0-ldflags.patch
+++ b/games-arcade/gav/files/gav-0.9.0-ldflags.patch
@@ -1,6 +1,17 @@
---- a/CommonHeader.old	2010-10-12 13:08:23.000000000 +0200
-+++ b/CommonHeader	2010-10-12 13:08:48.000000000 +0200
-@@ -31,9 +31,9 @@
+--- a/CommonHeader
++++ b/CommonHeader
+@@ -22,18 +22,18 @@
+ NET = true
+ 
+ LD = ld
+-CXX = g++
+ 
+-CXXFLAGS= `sdl-config --cflags` -g -Wall -DAUDIO
++CXXFLAGS+= `sdl-config --cflags` -Wall
++CPPFLAGS+= -DAUDIO
+ 
+ ifndef NET
+ CXXFLAGS+= -DNONET
  endif
  
  ifdef NET
@@ -12,8 +23,8 @@
  endif
  
  SRCS	= 	$(wildcard *.cpp)
---- a/Makefile.Linux.old	2010-10-12 14:36:47.000000000 +0200
-+++ b/Makefile.Linux	2010-10-12 14:37:02.000000000 +0200
+--- a/Makefile.Linux
++++ b/Makefile.Linux
 @@ -38,8 +38,7 @@
  	$(MAKE) -C $(@D:%_module.o=%)
  

diff --git a/games-arcade/gav/gav-0.9.0-r1.ebuild b/games-arcade/gav/gav-0.9.0-r1.ebuild
index 47e97a0e85a..06d00b3ebba 100644
--- a/games-arcade/gav/gav-0.9.0-r1.ebuild
+++ b/games-arcade/gav/gav-0.9.0-r1.ebuild
@@ -1,13 +1,15 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit desktop
+EAPI=7
+
+inherit desktop toolchain-funcs
 
 DESCRIPTION="GPL Arcade Volleyball"
 HOMEPAGE="http://gav.sourceforge.net/"
 # the themes are behind a lame php-counter script.
-SRC_URI="mirror://sourceforge/gav/${P}.tar.gz
+SRC_URI="
+	mirror://sourceforge/gav/${P}.tar.gz
 	mirror://gentoo/fabeach.tgz
 	mirror://gentoo/florindo.tgz
 	mirror://gentoo/inverted.tgz
@@ -19,34 +21,35 @@ SRC_URI="mirror://sourceforge/gav/${P}.tar.gz
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
-DEPEND="media-libs/sdl-image[jpeg,png]
+RDEPEND="
+	media-libs/sdl-image[jpeg,png]
 	media-libs/sdl-net
 	media-libs/libsdl[joystick,video]"
-RDEPEND="${DEPEND}"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-ldflags.patch
+	"${FILESDIR}"/${P}-gcc43.patch
+)
 
 src_prepare() {
 	default
 
 	local d
-
-	eapply "${FILESDIR}"/${P}-ldflags.patch
-
-	for d in . automa menu net ; do
+	for d in . automa menu net; do
 		cp ${d}/Makefile.Linux ${d}/Makefile || die "cp ${d}/Makefile failed"
 	done
 
-	eapply "${FILESDIR}"/${P}-gcc43.patch
-	sed -i \
-		-e "/^CXXFLAGS=/s: -g : ${CXXFLAGS} :" CommonHeader \
-		|| die "sed failed"
-
 	# Now, move the additional themes in the proper directory
-	mv ../{fabeach,florindo,inverted,naive,unnamed,yisus,yisus2} themes
+	mv ../{fabeach,florindo,inverted,naive,unnamed,yisus,yisus2} themes || die
 
-	# no reason to have executable files in the themes
-	find themes -type f -exec chmod a-x \{\} \;
+	# no reason to have executable bit set on themes
+	find themes -type f -exec chmod a-x '{}' \; || die
+}
+
+src_configure() {
+	tc-export CXX
 }
 
 src_compile() {
@@ -60,7 +63,9 @@ src_compile() {
 src_install() {
 	dodir /usr/bin
 	emake ROOT="${D}" install
+
 	insinto /usr/share/${PN}
 	doins -r sounds
+
 	einstalldocs
 }


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2020-02-23 10:45 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-02-23 10:45 [gentoo-commits] repo/gentoo:master commit in: games-arcade/gav/files/, games-arcade/gav/ David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox